IonCube Loader is a software instrument, that is necessary to run files that are protected with ionCube PHP Encoder. The latter is an app employed to make PHP code human unreadable, as a way to protect it from reverse engineering or unauthorized usage. A large number of script-driven apps, in particular message boards, cms and electronic commerce solutions are encrypted with ionCube PHP Encoder, therefore when you get a script and you find that ionCube is among the website hosting environment prerequisites, you should ensure that your website hosting server has the instrument pre-installed. Though it's not that difficult to set it up if you have your own server, it is close to impossible to do that on a shared web hosting server because the PHP environment should be precompiled and all the clients on the server shall be affected.

IonCube in Cloud Website Hosting

If you aquire a cloud website hosting through our company, it'll be created on our in-house built cloud hosting platform where ionCube Loader is already present, so you won't have any problems to manage any script app that requires the tool in order to run appropriately. We also offer several different releases of PHP, therefore in case you switch the version, you need to enable ionCube once again. Our system remembers the adjustments you make, which means that when you go back to the earlier release of PHP that was active for your account, ionCube Loader will already be activated. The PHP version as well as the ionCube instrument can be operated from the PHP Configuration area of our Hepsia hosting Control Panel. Every adjustment that you do takes literally just a mouse-click and it takes effect instantly.

IonCube in Semi-dedicated Servers

If you get a semi-dedicated server package from us, you'll be able to take advantage of any kind of script-driven application that needs ionCube Loader since the tool is installed on all the servers which are a part of our state-of-the-art cloud hosting platform. We also support various versions of PHP, therefore if you switch from PHP 4 to 5.2 or 5.3, for instance, you can activate ionCube for that particular release with only a click from your Hepsia Control Panel. Our system will remember your decision, so in case you switch back to the earlier release of PHP, the tool will already be active. For more tech-savvy users, we also provide the option to choose the PHP version and if ionCube will be active or not for a particular domain without altering the settings for the whole hosting account. This is done by placing a php.ini file inside a domain folder with a few lines of program code.